/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: main.c
**
*******************************************************************************
******************************************************************************/

#define EXTERN
#include "divdi3.h"

#define __NO_VERSION__ 
#define EXPORT_SYMTAB
#include <linux/module.h>
#include <linux/version.h>
#ifdef MODULE
char kernel_version [] = UTS_RELEASE;
#endif
#include <linux/init.h>
#include <linux/kmod.h>



/**
 * init_divdi3 - Initialize the divdi3 module
 *
 * Returns: 0 on success, -EXXX on failure
 */

int __init init_divdi3(void)
{
  osi_printf("divdi3 %s (built %s %s) installed\n",
	     GFS_RELEASE_NAME,
	     __DATE__, __TIME__);
  return 0;
}


#ifdef MODULE

/**
 * init_module - Initialize the module
 *
 * Just call init_divdi3_fs
 *
 * Returns: 0 on success, -EXXX on failure
 */

int __init init_module(void)
{
  return init_divdi3();
}


/**
 * cleanup_module - uninstall the module
 *
 */

void cleanup_module(void)
{
}

MODULE_DESCRIPTION("divdi3 Module");
MODULE_AUTHOR("The GFS Group");

#endif  /*  MODULE  */



/*  Symbols
    Don't even think about doing modversion here.
    So, it doesn't matter what the types are.  */

int __divdi3(void);
int __moddi3(void);
int __udivdi3(void);
int __umoddi3(void);

EXPORT_SYMBOL(__divdi3);
EXPORT_SYMBOL(__moddi3);
EXPORT_SYMBOL(__udivdi3);
EXPORT_SYMBOL(__umoddi3);


