/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: divdi3.h
**
*******************************************************************************
******************************************************************************/

#ifndef DIVDI3_DOT_H
#define DIVDI3_DOT_H


/*  OS specific files  */

#include "osi.h"
#include "osi_list.h"


/*  Extern Macro  */

#ifndef EXTERN
#define EXTERN extern
#define INIT(X)
#else
#undef EXTERN
#define EXTERN
#define INIT(X) =X 
#endif


/*  Static Macro  */

#ifndef DEBUG_SYMBOLS
#define STATIC static
#else
#define STATIC
#endif  /*  DEBUG_SYMBOLS  */


/*  Includes  */

#include "release.cf"
#include "global.h"


/*  Macros  */

#define DIVDI3_ASSERT(x, do) \
{ \
  if (!(x)) \
  { \
    osi_printf("\ndivdi3:  Assertion failed on line %d of file %s\n" \
               "divdi3:  assertion:  \"%s\"\n" \
               "divdi3:  time = %"FMT_64"u\n", \
	       __LINE__, __FILE__, #x, osi_gettimeofday()); \
    {do} \
    osi_printf("\n"); \
    osi_panic("divdi3:  There's no emoticon to express what I'm feeling...\n"); \
  } \
}


#endif  /*  DIVDI3_DOT_H  */
