/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name:  dio_arch.h
**
**    Description:  Dio structures specific to Linux
**
*******************************************************************************
******************************************************************************/

#ifndef __DIO_ARCH_DOT_H__
#define __DIO_ARCH_DOT_H__


/*  Generic osi_buf_t info
    Take care with BH_BUFDATA(), it's a cheat.  */

#define BH_DATA(bh) ((char *)(bh)->b_data)
#define BH_BLKNO(bh) ((uint64)(bh)->b_blocknr)
#define BH_SIZE(bh) ((uint32)(bh)->b_size)
#define BH_BUFDATA(bh) ((gfs_bufdata_t *)(bh)->b_pdata)


/*  Buffer head list functions  */

void gfs_inval_bh(gfs_sbd_t *sdp, gfs_glock_t *gl);
void gfs_sync_bh(gfs_sbd_t *sdp, gfs_glock_t *gl, int wait);
void gfs_free_bh(gfs_sbd_t *sdp, gfs_glock_t *gl);


#endif  /*  __DIO_ARCH_DOT_H__  */
