/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: dcache.h
**
*******************************************************************************
******************************************************************************/

#ifndef __DCACHE_DOT_H__
#define __DCACHE_DOT_H__


/*
 *  Structure for coherency management of the Linux's Dcache
 */

struct gfs_dcached
{
  uint64              dc_vn;            /* version number last time this dentry was revalidated */
};
typedef struct gfs_dcached gfs_dcached_t;


struct dentry_operations gfs_dops;

int gfs_drevalidate(struct dentry *dentry, int flags);

#endif  /*  __DCACHE_DOT_H__  */

