/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name:  incore_arch.h
**
**    Description:  The GFS architecture dependent incore structures.
**
*******************************************************************************
******************************************************************************/

#ifndef __INCORE_ARCH_DOT_H__
#define __INCORE_ARCH_DOT_H__



struct gfs_bufdata_arch
{
  osi_list_head_t     bd_list;          /* Keeps list of buffers */

  unsigned int        bd_pinned;        /* Pin count */

  gfs_trans_t         *bd_ail_tr;       /* This buffer is in this AIL transaction */
  osi_list_head_t     bd_ail_list;      /* List of buffers hanging off tr_bufs */
};
typedef struct gfs_bufdata_arch gfs_bufdata_arch_t;



struct gfs_glock_arch
{
  osi_list_head_t     gl_bufs;        	/* Buffer list for caching */
};
typedef struct gfs_glock_arch gfs_glock_arch_t;



struct gfs_trans_arch
{
  osi_list_head_t     tr_bufs;          /* AIL buffers */
};
typedef struct gfs_trans_arch gfs_trans_arch_t;



#endif  /*  __INCORE_ARCH_DOT_H__  */




