/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: inode.c
**
*******************************************************************************
******************************************************************************/

#include "gfs.h"

#include "blklist.h"
#include "bmap.h"
#include "dcache.h"
#include "dio.h"
#include "dir.h"
#include "gfs_linux.h"
#include "glock.h"
#include "glops.h"
#include "fs.h"
#include "inode.h"
#include "trans.h"
#include "gfs_dfsa.h"




/**
 * gfs_inode_attr_in - Copy attributes from the dinode into the VFS inode
 * @ip: The GFS inode
 *
 */

void gfs_inode_attr_in(gfs_inode_t *ip)
{
}


/**
 * gfs_inode_attr_out - Copy attributes from VFS inode into the dinode
 * @ip: The GFS inode
 *
 * Only copy out the attributes that we want the VFS layer
 * to be able to modify.
 */

void gfs_inode_attr_out(gfs_inode_t *ip)
{
}




/**
 * gfs_permission - check permissions on a file
 * @ip: the file
 * @mask: the type of access we want
 * @cred: the structure defining our credentials
 *
 * Returns: 0 for Permission Granted, -EXXX on failure
 */

int gfs_permission(gfs_inode_t *ip, int mask, osi_cred_t *cred)
{
  return 0;
}


/**
 * gfs_drop_excess_inodes - drop unused inodes
 * @sdp: the filesystem
 *
 */

void gfs_drop_excess_inodes(gfs_sbd_t *sdp)
{
}




