/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Seth Van Oort <vano0023@tc.umn.edu>
** 
**    Module name: dir.h
**
*******************************************************************************
******************************************************************************/

#ifndef __DIR_DOT_H__
#define __DIR_DOT_H__


/*  Directory translation function  */

typedef int (*gfs_filldir_t)(void *opaque,
			     const char *name, unsigned int length,
			     uint64 offset,
			     uint64 inode, unsigned type);


int gfs_filecmp(osi_qstr_t *file1, char *file2, int len_of_file2);
int gfs_dirent_alloc(gfs_inode_t *dip, osi_buf_t *bh, int name_len, gfs_dirent_t **dent_out);

int gfs_dir_search(gfs_inode_t *dip, osi_qstr_t *filename, gfs_inum_t *inum, unsigned int *type);
int gfs_dir_add(gfs_inode_t *dip, osi_qstr_t *filename, gfs_inum_t *inum, unsigned int type);
int gfs_dir_del(gfs_inode_t *dip, osi_qstr_t *filename);
int gfs_dir_read(gfs_inode_t *dip, int64 *f_pos, void *dirent, gfs_filldir_t filldir);
int gfs_dir_mvino(gfs_inode_t *dip, osi_qstr_t *filename, gfs_inum_t *new_inum, unsigned int new_type);

int gfs_dir_exhash_free(gfs_inode_t *dip);


#endif  /*  __DIR_DOT_H__  */

