/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name:  gfs_ioctl.h
**
**    Description:  The GFS ioctl()s
**
*******************************************************************************
******************************************************************************/

#ifndef __GFS_IOCTL_DOT_H__
#define __GFS_IOCTL_DOT_H__


#define _GFSC_(x)		(('G' << 8) | x)


/* Ioctls implemented */

#define GFS_DEBUG_ON            _GFSC_(1)
#define GFS_DEBUG_OFF           _GFSC_(2)
#define GFS_DEBUG_DUMP          _GFSC_(3)

#define GFS_PRINT_FRAG          _GFSC_(4)
#define GFS_SHRINK              _GFSC_(5)

#define GFS_PROF_DUMP           _GFSC_(6)

#define GFS_OBYNUM		_GFSC_(7)
#define GFS_GET_SUPER		_GFSC_(8)
#define GFS_JREAD               _GFSC_(9)
#define GFS_JWRITE              _GFSC_(10)

#define GFS_LOCK_DUMP           _GFSC_(11)

#define GFS_STATGFS             _GFSC_(12)





/*  Structure for profiling ioctl()  */

struct gfs_profile
{
  uint64 total_calls;
  uint64 total_micros;
  uint64 min_micros;
  uint64 max_micros;
};
typedef struct gfs_profile gfs_profile_t;





/*  Structure for jread/jwrite  */

struct gfs_jio
{
  uint64 jio_size;
  uint64 jio_offset;
  char *jio_data;
};
typedef struct gfs_jio gfs_jio_t;



/*  Structure for better GFS-specific df  */

struct gfs_usage
{
  unsigned int block_size;
  uint64 total_blocks;
  uint64 free;
  uint64 used_dinode;
  uint64 free_dinode;
  uint64 used_meta;
  uint64 free_meta;
};
typedef struct gfs_usage gfs_usage_t;



#endif  /*  __GFS_IOCTL_DOT_H__  */
