/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: gfs_mount.h
**
**    Description:
**	Defines the structure that holds the mount parameters
**
*******************************************************************************
******************************************************************************/

#ifndef GFS_MOUNT_DOT_H
#define GFS_MOUNT_DOT_H


/*  Values of ar_dir_alloc_method  */

#define GFS_DAMETH_SINGLE (612324)
#define GFS_DAMETH_RROBIN (612325)
#define GFS_DAMETH_RANDOM (612326)

#define GFS_DAMETH_DEFAULT GFS_DAMETH_SINGLE
#define GFS_ATIME_DEFAULT (60)



struct gfs_args
{
  char	              *ar_target;           /* The device the FS is mounted on */

  char                ar_lockproto[256];    /* The name of the Lock Protocol */
  char                ar_locktable[256];    /* The name of the Lock Table */
  char                ar_hostdata[256];     /* The host specific data */

  unsigned int        ar_dir_alloc_method;

  int                 ar_ignore_local_fs;   /* Ignore the local_fs field in the lm_lockops_t */
  int                 ar_localflocks;       /* let the VFS do flock|fcntl locks for us */
  int                 ar_localcaching;      /* Local-style caching (dangerous on mulithost) */

  unsigned int        ar_buf_readahead;     /* Number of FS blocks to readahead */
  unsigned int        ar_atime_quantum;     /* maximum difference allowed before atime is updated */

  unsigned int        ar_upgrade;           /* Upgrade ondisk/multihost format */
};
typedef struct gfs_args gfs_args_t;


#endif  /*  GFS_MOUNT_DOT_H  */


