/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: 
**      log.h
**
**    Description:
**
**          What rolls down stairs
**             Alone or in pairs
**      Rolls over your neighbor's dog.
**         What's great for a snack
**           And fits on your back
**             It's log, log, log!
**             It's lo-og, lo-og,
**       It's big, it's heavy, it's wood.
**             It's lo-og, lo-og,
**       It's better than bad, it's good.
**           Everyone wants a log,
**         You're gonna love it, log
**         Come on and get your log,
**           Everyone needs a log...
**            LOG... FROM BLAMMO!
**
**                     -- The Ren and Stimpy Show
**
*******************************************************************************
******************************************************************************/

#ifndef __LOG_DOT_H__
#define __LOG_DOT_H__

void gfs_nopen_merge(gfs_sbd_t *sdp, gfs_tr_nop_t *nop_new,
		     osi_list_head_t *list, osi_atomic_t *counter);
void gfs_nopen_find(gfs_sbd_t *sdp, gfs_inum_t *inum);

void gfs_nopen_dump(gfs_sbd_t *sdp, int force);

int gfs_log_reserv(gfs_sbd_t *sdp, unsigned int segments);
void gfs_log_relse(gfs_sbd_t *sdp, unsigned int segments);
void gfs_pull_tail(gfs_sbd_t *sdp);

void gfs_log_commit(gfs_sbd_t *sdp, gfs_trans_t *trans);
void gfs_log_flush(gfs_sbd_t *sdp, gfs_glock_t *gl);

int gfs_shutdown_log(gfs_sbd_t *sdp);

unsigned int gfs_struct2blk(gfs_sbd_t *sdp, unsigned int nstruct, unsigned int ssize);
unsigned int gfs_blk2seg(gfs_sbd_t *sdp, unsigned int blocks);

#endif  /*  __LOG_DOT_H__  */

