/******************************************************************************
*******************************************************************************
**
**    Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Michael Tilstra <conrad@sistina.com>
** 
**    Module name: 
**      plock.h
**
*******************************************************************************
******************************************************************************/

#ifndef __plock_h__
#define __plock_h__

#define PLOCK_EX   (1)
#define PLOCK_SH   (2)
#define PLOCK_UN   (3)

#define GND64  ((uint64)(~(uint64)0))
#define GND16  ((uint16)(~(uint16)0))

/* Handles both locking and unlocking a range. */
int gfs_plock_act(gfs_inode_t *ip, u64 begin, u64 end, char type, char wait);

/* return state of given range. 
 */
int gfs_ptestlock(gfs_inode_t *ip, u64 *begin, u64 *end, char *type, u32 *pid);

#endif /*__plock_h__*/

