/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: super.h
**
*******************************************************************************
******************************************************************************/

#ifndef __SUPER_DOT_H__
#define __SUPER_DOT_H__

int gfs_check_sb(gfs_sbd_t *sdp, gfs_sb_t *sb, int silent);
int gfs_read_sb(gfs_sbd_t *sdp, gfs_glock_t *gl, int silent);
int gfs_do_upgrade(gfs_sbd_t *sdp, gfs_glock_t *gl_sb);

int gfs_jindex_hold(gfs_sbd_t *sdp, int wait);
void gfs_jindex_release(gfs_sbd_t *sdp);
void gfs_clear_journals(gfs_sbd_t *sdp);

void gfs_compute_reserv(gfs_sbd_t *sdp);

int gfs_get_riinode(gfs_sbd_t *sdp);
void gfs_put_riinode(gfs_sbd_t *sdp);
int gfs_get_jiinode(gfs_sbd_t *sdp);
void gfs_put_jiinode(gfs_sbd_t *sdp);

int gfs_setup_dameth(gfs_sbd_t *sdp);
int gfs_update_datarget(gfs_sbd_t *sdp, gfs_ipreserv_t *res);

int gfs_stat_gfs(gfs_sbd_t *sdp, gfs_usage_t *usage, int interruptible);


/*  These are architecture specific functions
    Either implement them or stub them out in your arch_* directory.  */


#endif  /*  __SUPER_DOT_H__  */

