/******************************************************************************
 *
 *    Copyright 1999-2001 Sistina Software, Inc.
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    This file is maintained by:
 *      Benjamin E Marzinski <marzinski@sistina.com>
 *
 */

#ifndef __debug_h__
#define __debug_h__

#include "debug_flags.h"

#define kpid() (current->pid)

/* lets you just define a tag. good for IFDBs*/
#define DBTAG(x)

#ifdef DEBUG

EXTERN unsigned char debug_flags[DEBUG_FLAG_BYTES];

#define ENTER(x) \
{\
   if(debug_flags[(x) / 8] & (1 << ((x) % 8))) \
      printk("gnbd: En %s %d\n", gnbd_debug_flag_names[(x)], kpid()); \
}
#define EXIT(x) \
{\
   if(debug_flags[(x) / 8] & (1 << ((x) % 8))) \
      printk("gnbd: Ex %s %d\n", gnbd_debug_flag_names[(x)], kpid()); \
}

#define IFDB(x, d) \
{ \
   if(debug_flags[(x) / 8] & (1 << ((x) % 8))) \
   {d} \
}
   
#else
#define ENTER(x)
#define EXIT(x)
#define IFDB(x, d)
#endif /*DEBUG*/

#endif /*__debug_h__*/
