/******************************************************************************
*
*    Copyright 1999 Regents of the University of Minnesota
*    Portions Copyright 1999-2001 Sistina Software, Inc.
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Benjamin E Marzinski <marzinski@sistina.com>
* 
* Mostly just macros and such that get used in many places.
*/
#ifndef __gnbd_macros_h__
#define __gnbd_macros_h__

/* Various bits that we expect. */
#ifndef MIN
#define MIN(a,b) ((a<b)?a:b)
#endif
/*
 * Macros to help debugging
 */

#undef printd             /* undef it, just in case */
#ifdef DEBUG
# define printd(fmt, args...) printk( KERN_DEBUG "gnbd %d : " fmt, \
                                     (int)current->pid , ## args)
#else
# define printd(fmt, args...) /* not debugging: nothing */
#endif

#undef printdd
#define printdd(fmt, args...) /* nothing: it's a placeholder */

/* Easy way to print out errs.*/
#undef printe
#define printe(fmt, args...) printk(KERN_ERR "gnbd %d : " fmt, \
                                    (int)current->pid , ## args)

/* Easy way to print out warns.*/
#undef printw
#define printw(fmt, args...) printk(KERN_WARNING "gnbd %d : " fmt, \
                                    (int)current->pid , ## args)

/* Easy way to print out basic stuff.*/
#undef printi
#define printi(fmt, args...) printk("gnbd %d : " fmt, \
                                    (int)current->pid , ## args)

#define PTICK printi("tick.\n")

/*  Extern Macro  */
#ifndef EXTERN
#define EXTERN extern
#define INIT(X)
#else
#undef EXTERN
#define EXTERN
#define INIT(X) =X 
#endif


#define __UNIQUE_NAME_2(x)   __unique_name_##x
#define __UNIQUE_NAME(x)     __UNIQUE_NAME_2(x)
#define UNIQUE_NAME          __UNIQUE_NAME(__LINE__)

#ifdef ASSERT
#undef ASSERT
#endif  /*  ASSERT  */
#define ASSERT(x) {if (!(x)) { \
        printk(KERN_EMERG "\n\nYou've found a bug in gnbd!\n\n"); \
        printk(KERN_EMERG "Please copy down the following line and send " \
				              "it to gfs-devel@borg.umn.edu\n\n"); \
        panic("gnbd:  Assertion \"%s\" failed on line %d of file %s\n", #x, \
                         __LINE__, __FILE__); } }


#endif /*__gnbd_macros_h__*/















