/******************************************************************************
 *
 *    Copyright 2000-2001 Sistina Software, Inc.
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    This file is maintained by:
 *      Benjamin E Marzinski <marzinski@sistina.com>
 * 
 */

#ifndef __utils_h__
#define __utils_h__
#include <sys/types.h>

typedef struct serv_list_s {
  char name[300];
  char path[300];
  unsigned int port;
  pid_t pid;
  struct serv_list_s *next;
} serv_list_t;

unsigned int match(char *name, serv_list_t *ptr);
int get_pid(char *name, serv_list_t *ptr);
serv_list_t *add(serv_list_t item, serv_list_t *head);
serv_list_t *clear(serv_list_t *ptr);
serv_list_t *remove_serv(char *name, serv_list_t *head);
int close_socket(int val);
int open_socket(int tcp, int port);
int max(int x, int y);

#endif /* __utils_h__ */
