#ifndef __debug_h__
#define __debug_h__

#include "debug_flags.h"

#define kpid() (current->pid)

/* lets you just define a tag. good for IFDBs*/
#define DBTAG(x)

#ifdef DEBUG

unsigned char debug_flags[DEBUG_FLAG_BYTES];

#define ENTER(x) \
{\
   if(debug_flags[(x) / 8] & (1 << ((x) % 8))) \
      printk("kgnbd: En %s %d\n", kgnbd_debug_flag_names[(x)], kpid()); \
}
#define EXIT(x) \
{\
   if(debug_flags[(x) / 8] & (1 << ((x) % 8))) \
      printk("kgnbd: Ex %s %d\n", kgnbd_debug_flag_names[(x)], kpid()); \
}

#define IFDB(x, d) \
{ \
   if(debug_flags[(x) / 8] & (1 << ((x) % 8))) \
   {d} \
}
   
#else
#define ENTER(x)
#define EXIT(x)
#define IFDB(x, d)
#endif /*DEBUG*/

#endif /*__debug_h__*/














