/******************************************************************************
*
*    Copyright 2000-2001 Sistina Software, Inc.
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Benjamin E Marzinski <marzinski@sistina.com>
* 
*/
#ifndef __kgnbdsrv_h__
#define __kgnbdsrv_h__

#include "../../cli/arch_linux_2_4/trans.h"
#define MAX_DISK_SIZE 1024*1024*1024
#define GNBD_HARDSECT 512

/* server specific information for each serv kernel thread */

#undef printc
#undef prints
#undef printd
#undef printp

#ifdef DEBUG

#define printp(fmt, args...) printk(KERN_DEBUG "[kgnbd_portd] %d: " fmt, current->pid , ##args)
#define printc(fmt, args...) printk(KERN_DEBUG "[kgnbd_serv] %d: " fmt, current->pid , ##args)
#define printd(fmt, args...) printk(KERN_DEBUG "kgnbd: " fmt, ##args)
#define prints(fmt, args...) printk(KERN_DEBUG "[kgnbd] %d: " fmt, current->pid , ##args)

#else /* DEBUG */

#define printp(fmt, args...)
#define printc(fmt, args...)
#define printd(fmt, args...)
#define prints(fmt, args...)

#endif /* DEBUG */

#undef printpe
#undef printce
#undef printse
#undef printe

#define printpe(fmt, args...) printk(KERN_ERR "[kgnbd_portd] %d: " fmt, current->pid , ##args)
#define printce(fmt, args...) printk(KERN_ERR "[kgnbd_serv] %d: " fmt, current->pid , ##args)
#define printe(fmt, args...) printk(KERN_ERR "kgnbd: " fmt, ##args)
#define printse(fmt, args...) printk(KERN_ERR "[kgnbd] %d: " fmt, current->pid , ##args)
									

typedef struct kgnbdsrv_s {
  char *name;
  char *file;
  int port;
  struct socket	*knbdsock;
  kdev_t        knbdsrv;
  struct task_struct *knbdtsk;
  struct file   *knbdsrv_f;
  struct inode 	*knbdsrv_i;
  u64          	exportsize;
  int          	blksize;
  int alive;
  int stomith;
} kgnbdsrv_t;

typedef struct info_s {
  kgnbdsrv_t	*ksrv;
  struct socket	*sock;
} info_t;


#endif /* __kgnbdsrv_h__ */













