/******************************************************************************
*
*    Copyright 2000-2001 Sistina Software, Inc.
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Benjamin E Marzinski <marzinski@sistina.com>
* 
*/


#ifndef __header_h__
#define __header_h__

#include "global.h"

#ifndef __KERNEL__
typedef   uint64            u64;
typedef   uint32            u32;
typedef   uint16            u16;
typedef   uint8             u8;

#endif

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define printff(fmt,args...) /*placeholder*/

/* ripped out of nbd code base*/
#if BYTE_ORDER == LITTLE_ENDIAN
u64 ntohll(u64 a)
{
        u32 lo = a & 0xffffffff;
        u32 hi = a >> 32U;
        lo = ntohl(lo);
        hi = ntohl(hi);
        return ((u64) lo) << 32U | hi;
}
#else
u64 ntohll(u64 a)
{
        return a;
}
#endif
#define htonll ntohll

#include "../cli/trans.h"
#endif /*__header_h__*/
