/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: lock_harness.h
**
*******************************************************************************
******************************************************************************/

#ifndef __LOCK_HARNESS_DOT_H__
#define __LOCK_HARNESS_DOT_H__


/*  OS specific files  */

#include "osi.h"
#include "osi_list.h"


/*  Extern Macro  */

#ifndef EXTERN
#define EXTERN extern
#define INIT(X)
#else
#undef EXTERN
#define EXTERN
#define INIT(X) =X 
#endif


/*  Static Macro  */

#ifndef DEBUG_SYMBOLS
#define STATIC static
#else
#define STATIC
#endif  /*  DEBUG_SYMBOLS  */


/*  Includes  */

#include "release.cf"
#include "global.h"
#include "lm_interface.h"
#include "rlock.h"


/*  Macros  */

#define LMH_ASSERT(x, do) \
{ \
  if (!(x)) \
  { \
    osi_printf("\nlock_harness:  Assertion failed on line %d of file %s\n" \
               "lock_harness:  assertion:  \"%s\"\n" \
               "lock_harness:  time = %"FMT_64"u\n", \
	       __LINE__, __FILE__, #x, osi_gettimeofday()); \
    {do} \
    osi_printf("\n"); \
    osi_panic("lock_harness:  Me lose brain?  Uh Oh...\n"); \
  } \
}



struct lmh_wrapper
{
  osi_list_head_t     lw_list;
  lm_lockops_t        *lw_ops;
};
typedef struct lmh_wrapper lmh_wrapper_t;


EXTERN rlock_t lmh_lock;
EXTERN osi_list_head_t lmh_list;


void lmh_module_load(char *name);


#endif  /*  __LOCK_HARNESS_DOT_H__  */

