/******************************************************************************
*******************************************************************************
**
**    Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: rlock.h
**
*******************************************************************************
******************************************************************************/

#ifndef __RLOCK_DOT_H__
#define __RLOCK_DOT_H__


struct rlock
{
  osi_spinlock_t     rl_lock;
  osi_sema_t         rl_wait;

  unsigned int       rl_locked;
  unsigned int       rl_waiting;
  long int           rl_pid;
};
typedef struct rlock rlock_t;


void rlock_init(rlock_t *rl);
void rlock_lock(rlock_t *rl);
void rlock_unlock(rlock_t *rl);


#endif  /*  __RLOCK_DOT_H__  */
