/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland <teigland@sistina.com>
** 
**    Module name: main.c
**
*******************************************************************************
******************************************************************************/

#define EXTERN
#include "memexp.h"

#define __NO_VERSION__ 
#include <linux/module.h>
#include <linux/version.h>
char kernel_version [] = UTS_RELEASE;
#include <linux/init.h>
#include <linux/kmod.h>


extern lm_lockops_t memexp_ops;


/**
 * init_memexp - Initialize the memexp module
 *
 * Returns: 0 on success, -EXXX on failure
 */

int __init init_memexp(void)
{
  int error;
  
  error = lm_register_proto(&memexp_ops);
  if (error)
    return error;

  osi_printf("MemExp %s (built %s %s) installed\n",
	     GFS_RELEASE_NAME,
	     __DATE__, __TIME__);

  return 0;
}


#ifdef MODULE

/**
 * init_module - Initialize the module
 *
 * Just call init_memexp
 *
 * Returns: 0 on success, -EXXX on failure
 */

int __init init_module(void)
{
  return init_memexp();
}


/**
 * cleanup_module - uninstall the module
 *
 */

void cleanup_module(void)
{
  lm_unregister_proto(&memexp_ops);
}

MODULE_DESCRIPTION("Memexp Locking Module");
MODULE_AUTHOR("The GFS Group");

#endif  /*  MODULE  */


#ifndef DEBUG_SYMBOLS
EXPORT_NO_SYMBOLS;
#endif





