/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland <teigland@sistina.com>
** 
**    Module name: cluster_info.h
**
*******************************************************************************
******************************************************************************/

#ifndef CLUSTER_INFO_DOT_H
#define CLUSTER_INFO_DOT_H

int init_cluster_info(memexp_t *moddata, uint32 ip);
void release_cluster_info(memexp_t *md);
int cid2jid(memexp_t *md, uint16 cid, uint32 *jid);
int cid2ipaddr(memexp_t *md, uint16 cid, uint32 *ip);
int jid2cid(memexp_t *md, uint32 jid, uint16 *cid);
int jid2nstomith(memexp_t *md, uint32 jid, uint32 *nstomith);
int get_stomith_desc(memexp_t *md, uint32 jid, cluster_stomith_t *st, int n);
int cluster_node_count(memexp_t *md);
int reread_cluster_info(memexp_t *md);
void show_cluster_info(memexp_t *md);

#endif  /*  CLUSTER_INFO_DOT_H  */
