/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: nolock.h
**
*******************************************************************************
******************************************************************************/

#ifndef NOLOCK_DOT_H
#define NOLOCK_DOT_H


/*  OS specific files  */

#include "osi.h"
#include "osi_list.h"


/*  Extern Macro  */

#ifndef EXTERN
#define EXTERN extern
#define INIT(X)
#else
#undef EXTERN
#define EXTERN
#define INIT(X) =X 
#endif


/*  Static Macro  */

#ifndef DEBUG_SYMBOLS
#define STATIC static
#else
#define STATIC
#endif  /*  DEBUG_SYMBOLS  */


/*  Includes  */

#include "release.cf"
#include "global.h"
#include "lm_interface.h"


/*  Macros  */

#define NOLOCK_ASSERT(x, do) \
{ \
  if (!(x)) \
  { \
    osi_printf("\nnolock:  Assertion failed on line %d of file %s\n" \
               "nolock:  assertion:  \"%s\"\n" \
               "nolock:  time = %"FMT_64"u\n", \
	       __LINE__, __FILE__, #x, osi_gettimeofday()); \
    {do} \
    osi_printf("\n"); \
    osi_panic("nolock:  Somebody's baking brownies...\n"); \
  } \
}


void nolock_mod_inc(void);
void nolock_mod_dec(void);


EXTERN lm_lockops_t nolock_ops;


#define NOLOCK_LVB_SIZE (32)


#endif  /*  NOLOCK_DOT_H  */
