/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: main.c
**
*******************************************************************************
******************************************************************************/

#define EXTERN
#include "stats.h"

#define __NO_VERSION__ 
#include <linux/module.h>
#include <linux/version.h>
char kernel_version [] = UTS_RELEASE;
#include <linux/init.h>
#include <linux/kmod.h>



/**
 * stats_mod_inc - decrement the module's usage count
 *
 */

void stats_mod_inc(void)
{
  MOD_INC_USE_COUNT;
}


/**
 * stats_mod_dec - decrement the module's usage count
 *
 */

void stats_mod_dec(void)
{
  MOD_DEC_USE_COUNT;
}


/**
 * init_stats - Initialize the stats module
 *
 * Returns: 0 on success, -EXXX on failure
 */

int __init init_stats(void)
{
  int error;

  error = lm_register_proto(&stats_ops);
  if (error)
    return error;

  osi_printf("LockStats %s (built %s %s) installed\n",
	     GFS_RELEASE_NAME,
	     __DATE__, __TIME__);

  return 0;
}


/**
 * exit_stats - cleanup the stats module
 *
 */

void __exit exit_stats(void)
{
  lm_unregister_proto(&stats_ops);
}


module_init(init_stats);
module_exit(exit_stats);


MODULE_DESCRIPTION("Stats Module");
MODULE_AUTHOR("The GFS Group");

#ifndef DEBUG_SYMBOLS
EXPORT_NO_SYMBOLS;
#endif  /*  DEBUG_SYMBOLS  */




