/******************************************************************************
 *
 *    Copyright 2001 Sistina Software, Inc.
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    This file is maintained by:
 *      Michael C Tilstra <conrad@sistina.com>
 *
 *  This is just the wad of stuff every .c here needs.
 */
#ifndef __mxp_defines_h__
#define __mxp_defines_h__

/* grab the gfs global */
#include "global.h"
#include "osi_endian.h"

/* pick up the configurable parts. */
#include "mxp_config.h"

#include <assert.h>
#include <unistd.h>

typedef   uint64  u64;
typedef   uint32  u32;
typedef   uint16  u16;
typedef   uint8   u8;

#ifndef TRUE
#define TRUE  (1)
#endif
#ifndef FALSE
#define FALSE (0)
#endif

#ifndef MAX
#define MAX(a,b) ((a>b)?a:b)
#endif

#ifndef MIN
#define MIN(a,b) ((a<b)?a:b)
#endif

#if defined(USE_SYSLOG) && !defined(DEBUG)
#define log_err(fmt, args...) syslog(LOG_ERR, fmt, ## args)
#define log_msg(fmt, args...) syslog(LOG_NOTICE, fmt, ## args)
#define log_alrt(fmt, args...) syslog(LOG_ALERT, fmt, ## args)
#define log_bug(fmt, args...) syslog(LOG_DEBUG, fmt, ## args)
#define die(fmt, args...) { \
   fprintf(stderr, "In %s, at %d death by:\n", __FILE__, __LINE__); \
   fprintf(stderr," " fmt, ## args); \
   syslog(LOG_ERR, "In %s, at %d death by:\n", __FILE__, __LINE__); \
   syslog(LOG_ERR," " fmt, ## args); exit(1);}
#else /*USE_SYSLOG*/
#define log_err(fmt, args...) fprintf(stderr, fmt, ## args)
#define log_msg(fmt, args...) fprintf(stdout, fmt, ## args)
#define log_alrt(fmt, args...) fprintf(stderr, fmt, ## args)
#define log_bug(fmt, args...) fprintf(stderr, fmt, ## args)
#define die(msg, args...) {\
   fprintf(stderr, "In %s, at %d death by:\n", __FILE__, __LINE__); \
   fprintf(stderr," " msg, ## args); exit(1);}
#endif /*USE_SYSLOG*/

#ifdef DEBUG
#define DBprintf(fmt, args...) log_bug(fmt, ## args)
#else
#define DBprintf(fmt, args...)
#endif

#define DDBprintf(fmt, args...)

#endif /*__mxp_defines_h__*/
