/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: abstraction.h
**
**    Description:  This file provides declarations for functions that
**		are OS dependent.  All of the OS dependent stuff is done
**		in it specific directories, and these are the functions
**		that need to be implemented.
**
*******************************************************************************
******************************************************************************/

#ifndef __ABSTRACTION_H__
#define __ABSTRACTION_H__
#include "pool_lock.h"

int read_partition_list(osi_dev_t **ptr);
int get_device_sector_size(osi_dev_t device);
int scan_dev_for_pool_label(osi_dev_t dev, pool_label_t *label);
int bdopen(osi_dev_t dev, osi_vnode_t **inodep, osi_vfile_t **filep);
int bdclose(osi_dev_t dev, osi_vnode_t **inodep, osi_vfile_t **filep);
int register_pool(pool_t *new, int minor);
int unregister_pool(int minor);
int pool_to_scsi_mid(osi_dev_t, u_char *, u_char *, int, error_code_t *);

#endif /* __ABSTRACTION_H__ */
