/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: debug.h
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#define __DEBUG_POOL__
#include "pool.h"

#ifdef DEBUG

pool_debug_pairs_t dp_table[] = {
  { 3, "locking" },
  { 1, "locking_1" },
  { 2, "locking_2" },
  
  { 12, "mapping" },
  { 4, "mapping_1" },
  { 8, "mapping_2" },

  { 48, "pool" },
  { 16, "pool_1" },
  { 32, "pool_2" },

  { ~0x0, "all"}
};

pool_debug_flag_t df_flags = {0,0};

void turn_on_pool_debug_flag(char *flag_str){
  int i;
  for(i = 0; ~dp_table[i].flag; i++){
    if(!strcmp(flag_str, dp_table[i].name)){
      osi_printf("\"%s\" debugging ENABLED\n", flag_str);
      df_flags.flags |= dp_table[i].flag;
    }
  }
}
void turn_off_pool_debug_flag(char *flag_str){
  int i;
  for(i = 0; ~dp_table[i].flag; i++){
    if(!strcmp(flag_str, dp_table[i].name)){
      osi_printf("\"%s\" debugging DISABLED\n", flag_str);
      df_flags.flags &= ~dp_table[i].flag;
    }
  }
}



#else /* DEBUG not defined */


void turn_on_pool_debug_flag(char *blah){
  osi_printf("Unable to turn on %s flag because debugging was not"
	     " enabled at compile time.\n", blah);
}
void turn_off_pool_debug_flag(char *blah){}



#endif /* DEBUG */
