/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: pool_ioctl.h
**
**    Description:
**      This header file contains everything necessary to make ioctls
**	to pool.
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_IOCTL_H__
#define __POOL_IOCTL_H__

/* IO Control Commands */

#define _POOLC_(x)      (('p' << 8) | x)

#define POOL_DUMP_TOTALSTATS    _POOLC_(0x00000011)
#define POOL_DUMP_DISKSTATS     _POOLC_(0x00000012)
#define POOL_CLEAR_STATS        _POOLC_(0x00000014)
#define POOL_READ_CAPACITY      _POOLC_(0x00000015)
#define POOL_DUMP_LOCKTAB       _POOLC_(0x00000016)
#define POOL_MEMEXP		_POOLC_(0x00000017)
#define POOL_DEBUG_ON		_POOLC_(0x00000018)
#define POOL_DEBUG_OFF		_POOLC_(0x00000019)

#define POOL_IND_CACHE          _POOLC_(0x00000021)

#define POOL_ADD                _POOLC_(0x00000041)
#define POOL_REMOVE             _POOLC_(0x00000042)
#define POOL_GROW               _POOLC_(0x00000043)
#define POOL_COUNT              _POOLC_(0x00000044)
#define POOL_LIST               _POOLC_(0x00000045)
#define POOL_SPLIST             _POOLC_(0x00000046)
#define POOL_DEVLIST            _POOLC_(0x00000047)

#define POOL_READCAPACITY       DIOCREADCAPACITY

#endif /* __POOL_IOCTL_H__ */
