/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: pool_lock.h
**
**    Description:
**	This file contains all of the necessary structures and function
**	declarations to interface with the lock aspects of pool.
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_LOCK_H__
#define __POOL_LOCK_H__

#define REAL_DEVICE 0
#define LOGICAL_DEVICE 1

#define SC_TAG_HEAD             0x21
#define DL_TIMEOUT              60*HZ
#define DL_MAXRETRY             1000000

struct error_code
{
  unsigned char sense_key;
  unsigned char asc;
  unsigned char ascq;
  unsigned char specific[3];
};
typedef struct error_code error_code_t;

#ifdef __KERNEL__
int pool_memexp(osi_dev_t dev, int device_flag, u_char *cdb, uint64_t number,
		u_char *buffer, int buffer_len, error_code_t *ec);
#endif /* __KERNEL__ */

#endif /* __POOL_LOCK_H__ */
