/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: pool_sptypes.h
**
**    Description:
**      A list of the various type values that can be assigned to subpools.
**      Each value is a 32-bit label stored in the Pool ondisk label format.
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_SPTYPES_H__
#define __POOL_SPTYPES_H__


/*  Generic Labels  */

#define SPTYPE_DATA                (0x00000000)

/*  GFS specific labels  */

#define SPTYPE_GFS_DATA            (0x68011670)
#define SPTYPE_GFS_JOURNAL         (0x69011670)



#ifdef WANT_SPTYPE_NAMES

struct sptype_names
{
  char           *name;
  uint32         label;
};
typedef struct sptype_names sptype_names_t;

const sptype_names_t sptype_names[] = 
{
  {"data",              SPTYPE_DATA},

  {"gfs_data",          SPTYPE_GFS_DATA},
  {"gfs_journal",       SPTYPE_GFS_JOURNAL},

  {"",                  0x0}  /*  This must be the last flag.  */
};

#endif  /*  WANT_SPTYPE_NAMES  */



#endif  /*  __POOL_SPTYPES_H__  */
