/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: rw_sema.h
**
**    Description:
**	General, non-OS specific pool driver routines.  
**
*******************************************************************************
******************************************************************************/

#ifndef __RW_SEMA__
#define __RW_SEMA__
#include "global.h"
#ifdef __KERNEL__
#include "osi.h"
#endif

struct pool_rw_sema_s {
  uint32		prws_readers;
  uint32		prws_writers;
  uint32		prws_waiting;
  osi_spinlock_t	prws_spin_lock;
  osi_sema_t		prws_sema_lock;
};

typedef struct pool_rw_sema_s pool_rw_sema_t;

void pool_rw_sema_init(pool_rw_sema_t *);
void pool_rw_sema_read_lock(pool_rw_sema_t *);
void pool_rw_sema_write_lock(pool_rw_sema_t *);
void pool_rw_sema_read_unlock(pool_rw_sema_t *);
void pool_rw_sema_write_unlock(pool_rw_sema_t *);

#endif /* __RW_SEMA__ */
