/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**	Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: common.h
**
*******************************************************************************
******************************************************************************/

#include "pool_lock.h"

#define DEFAULT_BUFFER_SIZE 32

void *zalloc(size_t size);

uint64 str_to_uint64(char *);

int get_pool_device_list(int fd, dev_t **devices,
			 int *device_count, int *dmep_count);

int build_dmep_command(u_char op_code, u_char action,
		       u_char seg_num, uint64 bid,
		       uint64 seq_num, uint64 pbn,
		       int in_use,
		       u_char *data, uint data_len,
		       u_char **cdb, u_char **pdf,
		       uint *pdf_len);

int send_dmep_command(char *filename, uint64 bid, u_char *cdb,
		      u_char **pdf, uint pdf_len, 
		      error_code_t *ec, dev_t phys_dev);
