/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: gfs_tool.h
**
**    Description:
**      Tool for changing debug flags in GFS, finding the subpool status,
** 	finding the file status and moving a file to a given destination
** 	subpool.
**
*******************************************************************************
******************************************************************************/

#ifndef __GFS_TOOL_DOT_H__
#define __GFS_TOOL_DOT_H__


/*  Extern Macro  */

#ifndef EXTERN
#define EXTERN extern
#define INIT(X)
#else
#undef EXTERN
#define EXTERN
#define INIT(X) =X 
#endif



#define die(fmt, args...) \
{ \
  fprintf(stderr, "%s: ", prog_name); \
  fprintf(stderr, fmt, ##args); \
  exit(EXIT_FAILURE); \
}



EXTERN char *prog_name;



#endif  /*  __GFS_TOOL_DOT_H__  */

