/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portion Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: pass3.h  (gfsck)
**
**    Description:
**      Filesystem checker
**
*******************************************************************************
******************************************************************************/

#ifndef __PASS3_H__
#define __PASS3_H__


#define DIR_LINEAR 1
#define DIR_EXHASH 2


typedef struct dir_status
{
  uint64 entries;   /* number of dir entries found */
  uint64 dot;       /* the ino number of the . entry if found */
  uint64 dotdot;    /* the ino number of the .. entry if found */
  uint64 subdirs;   /* the number of entries which are subdirs */
  int    remove;    /* this directory should be eliminated */
  uint64 target;    /* (optional input) search for this ino number */
  int    found;     /* True if the target is found */
} dir_status_t;


int dir_linear_scan(gfs_inode_t *ip, gfs_rgrpd_t *rgd, dir_status_t *status);
int dir_exhash_scan(gfs_inode_t *ip, gfs_rgrpd_t *rgd, dir_status_t *status);
int pass_3(gfs_sbd_t *sdp);

#endif  /*  __PASS3_H__  */
