/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portion Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: recover.c
**
**    Description:
**      Filesystem checker.
**
*******************************************************************************
******************************************************************************/

#include "gfs.h"


/* in the event of really bad corruption of sb, jindex or rindex there should be
   some kind of backup image of these structs (outside the fs) which can be 
   restored from. */


/* this should find a backup sb elsewhere on the fs and compare this with the
   main sb and do the checks on the backup sb.  if the main and backup sb's agree
   and the checks still fail (like wrong version number or differing struct sizes)
   then gfsck should die. otherwise, if backup sb looks fine copy it to main sb */

int recover_sb(gfs_sbd_t *sdp)
{
  return(-1);
}

/* recover from corruption of jindex dinode, indir blocks or file content */

int recover_jindex(gfs_sbd_t *sdp)
{
  return(-1);
}

/* recover from corruption of rindex dinode, indir blocks or file content */

int recover_rindex(gfs_sbd_t *sdp)
{
  return(-1);
}

/* recover from corrupt dinode, indir blocks, dir structure or dir content */

int recover_root(gfs_sbd_t *sdp)
{
  return(-1);
}

/* fix gfs_dinode_t fields, not structure of file. if dinode can't be repaired,
   clear this dinode from the bitmap (in-core), erasing the file or directory.  
   Even if the dinode is fixed here, the file structure may be found corrupted
   enough later that the file is thrown out. */

int fix_dinode(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd, gfs_dinode_t *di)
{
  return(-1);
}

/* write the updated in-core bitmap out to disk */

int write_bitmaps(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd)
{
  return(-1);
}

/* write the updated in-core rg header to disk */

int write_rgrp(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd)
{
  return(-1);
}

/* this should handle problems encountered during compute_block_ranges.  Not
   yet clear what those problems mean and what could be done about them. */

int recover_indeces(gfs_sbd_t *sdp)
{
  return(-1);
}
