/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portion Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: util.h  (gfsck)
**
**    Description:
**      Filesystem checker
**
*******************************************************************************
******************************************************************************/

#ifndef __UTIL_H__
#define __UTIL_H__

int compute_height(gfs_sbd_t *sdp, uint64 sz);
int next_rg_meta(gfs_rgrpd_t *rgd, uint32 *prev_bhi, uint32 *prev_blk, 
		 uint64 *block, int *first);
int next_rg_metatype(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd, uint32 *prev_bhi, 
		     uint32 *prev_blk, uint64 *block, char *buf, uint32 type,
		     int *first);
di_info_t *search_list(osi_list_head_t *list, uint64 addr);
int get_bitmap_bit(gfs_sbd_t *sdp, uint64 blkno, gfs_rgrpd_t *cur_rgd);
int gfsck_read_dinode(gfs_sbd_t *sdp, gfs_dinode_t *di, uint64 num);
int check_range(gfs_sbd_t *sdp, uint64 blk);
int check_bitmap_set(gfs_sbd_t *sdp, uint64 addr);

#endif  /*  __UTIL_H__  */
