/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: interface.c
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <errno.h>

#include "gfsconf.h"
#include "interface.h"


rootNode *root = NULL;
stmNode *used_stomith;
nodeNode *used_node;


rootNode *parser_begin(char *filename);


int parser_init(param_t *params, char *filename)
{
  root = parser_begin(filename);

  if (!root)
    return(-1);

  strcpy(params->datadev, root->datadev);
  strcpy(params->cidev, root->cidev);
  strcpy(params->lockdev, root->lockdev);

  params->cbport = root->port;
  params->timeout = root->timeout;

  used_stomith = NULL;
  used_node = NULL;

  return(0);
}


int parser_next_stomith(char **name, keypair_t **values)
{
  stmNode *st;

  *name = NULL;
  *values = NULL;

  if (!root->stomiths)
    return(-1);

  st = root->stomiths;

  root->stomiths = st->next;

  if (!used_stomith)
  {
    used_stomith = st;
    st->next = NULL;
  }
  else
  {
    st->next = used_stomith;
    used_stomith = st;
  }

  *name = st->name;
  *values = st->params;

  return(0);
}


int parser_next_node(uint32 *ipaddr, uint32 *cid, keypair_t **methods)
{
  nodeNode *no;

  *ipaddr = 0;
  *cid = 0;
  *methods = NULL;

  if (!root->nodes)
    return(-1);

  no = root->nodes;

  root->nodes = no->next;

  if (!used_node)
  {
    used_node = no;
    no->next = NULL;
  }
  else
  {
    no->next = used_node;
    used_node = no;
  }

  *ipaddr = no->IP;
  *cid = no->cid;
  *methods = no->stms;

  return(0);
}



