/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Michael Tilstra <conrad@sistina.com>
** 
**    Module name: 
**
**    Description:
**
*******************************************************************************
******************************************************************************/
%{
#include <stdio.h>
#include <string.h>
#include "arglists.h"
#include "parser.h"
   int yyerror(char*);
   void lex_cpy_lexme (void);
   int linenumber=1;
#define YY_NO_UNPUT
%}

comment (#.*)
digit [0-9]
letter [a-zA-Z]
string ({letter}|{digit}|[/_\.])+
number {digit}+
ipport {digit}+\.{digit}+\.{digit}+\.{digit}+:{digit}+
justip {digit}+\.{digit}+\.{digit}+\.{digit}+

%%

[ \t]+ ;

datadev { return DATADEV; }
cidev   { return CIDEV; }
lockdev { return LOCKDEV; }
cbport  { return CBPORT; }
timeout { return TIMEOUT; }
ccnm { return CCNM; }
SM { return SMspr; }
STOMITH { return STOMITH; }
node { return NODE; }

{ipport} { lex_cpy_lexme(); return IPPORT; }
{justip} { lex_cpy_lexme(); return JUSTIP; }

{number} { lex_cpy_lexme(); return NUMBER; }
{string} { lex_cpy_lexme(); return STRING; }

\"[^"\n]*["\n] { yylval.lexme = strdup(yytext+1);
                 if( yylval.lexme[yyleng-2] != '"')
                   yyerror("Improperly terminated string");
                 yylval.lexme[yyleng-2]='\0';
                 return STRING;
               }

: { return COLON; }

\n { linenumber++; }

{comment} { }

. { yyerror("Invalid charactor"); }

%%

void lex_cpy_lexme (void)
{
  yylval.lexme = strdup (yytext);
  if (!(yylval.lexme))
    {
      fputs ("out of memory\n", stderr);
      exit (1);
    }
}


