/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland <teigland@sistina.com> 
**
**    Module name: util.c
**
*******************************************************************************
******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "global.h"   
#include "stomith.h"


/******************************************************************************
*******************************************************************************
**
** inet_aton()
**
** Description:
**   This returns the IP address in the machine's endianess format.
**
** Input(s):
**
** Output(s):
**
** Returns:
**
*******************************************************************************
******************************************************************************/

int inet_aton(char *ascii, uint32 *ip)
{
  uint32 value;
  int x;


  *ip = 0;

  for (x = 0; x < 4; x++)
  {
    value = atoi(ascii);
    if (value > 255)
      return(-1);

    *ip = (*ip << 8) | value;

    if (x != 3)
    {
      ascii = strstr(ascii, ".");
      if (!ascii)
        return(-1);
      ascii++;
    }
  }

  return(0);
}



/******************************************************************************
*******************************************************************************
**
** inet_ntoa()
**
** Description:
**
** Input(s):
**
** Output(s):
**
** Returns:
**
*******************************************************************************
******************************************************************************/

void inet_ntoa(uint32 ip, char *buf)
{
  int i;
  char *p;

  p = buf;

  for (i = 3; i >= 0; i--)
  {
    p += sprintf(p, "%d", (ip >> (8 * i)) & 0xFF);
    if (i > 0)
      *(p++) = '.';
  }
}




uint32 stomith_number(char *name)
{
  int x;

  for (x = 0; stomith_names[x].number; x++)
    if (!strcmp(stomith_names[x].name, name))
      return(stomith_names[x].number);

  return(0);
}

  
char *stomith_name(uint32 magic)
{
  int x;

  for (x = 0; stomith_names[x].number; x++)
    if (stomith_names[x].number == magic)
      return(stomith_names[x].name);

  return(NULL);
}


