/******************************************************************************
*******************************************************************************
**
**    Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
**
*******************************************************************************
******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>



int main(int argc, char *argv[])
{
  int fd;

  if (argc < 2)
  {
    fputs("fsync filename\n", stderr);
    exit(EXIT_FAILURE);
  }

  
  fd = open(argv[1], O_RDWR);
  if (fd < 0)
  {
    fprintf(stderr,"fsync:  can't open file %s: %s\n",
	    argv[1], strerror(errno));
    exit(EXIT_FAILURE);
  }

  
  if (fsync(fd) < 0)
  {
    fprintf(stderr, " fsync:  fsync failed: %s\n",
	    strerror(errno));
    exit(EXIT_FAILURE);
  }


  if (close(fd) < 0)
  {
    fprintf(stderr, " fsync:  close failed: %s\n",
	    strerror(errno));
    exit(EXIT_FAILURE);    
  }


  exit(EXIT_SUCCESS);
}




