#!/bin/sh

#############################################################
#############################################################
##
##    Copyright 1995-2000 Regents of the University of Minnesota
##    Portions Copyright 2001 Sistina Software Inc.
##
##    This is free software released under the GNU General
##    Public License.  There is no warranty for this
##    software.  See the file COPYING for details.
##
##    See the file CONTRIBUTORS for a list of contributors.
##
##    This file is maintained by:
##      Mike Tilstra <tilstra@borg.umn.edu>
## 
#############################################################
#############################################################

# Simple little thing to see if data gets fubar when written then read from
# a device.

# usage: gooddata <device> <blocksize> <number of blocks>
if [ $# != 3 ]; then
echo "usage: gooddata <device> <blocksize> <number of blocks>"
exit 1
fi
device=$1
blocksize=$2
numblks=$3
tmpfile=/tmp/gooddata-A-$$
tmpflB=/tmp/gooddata-B-$$

#get soem data
echo "dd if=/dev/urandom of=$tmpfile bs=$blocksize count=$numblks"
dd if=/dev/urandom of=$tmpfile bs=$blocksize count=$numblks
echo done.

#get checksum
#cksum=`md5sum -b $tmpfile | cut -c 1-32`

#write to device
echo "dd if=$tmpfile of=$device bs=$blocksize count=$numblks"
dd if=$tmpfile of=$device bs=$blocksize count=$numblks
sync;sync
echo done.

#read
echo "dd if=$device of=$tmpflB bs=$blocksize count=$numblks"
dd if=$device of=$tmpflB bs=$blocksize count=$numblks
sync;sync
echo done.

#get checksum
echo Checksums:
md5sum $tmpfile $tmpflB 

echo "cleaning up tmp files."
rm $tmpfile $tmpflB
