/******************************************************************************
*******************************************************************************
**
**    Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
*******************************************************************************
******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/vfs.h>
#include <errno.h>


int main(int argc, char *argv[])
{
  struct statfs buf;


  if (argc != 2)
  {
    fprintf(stderr, "%s filename\n", argv[0]);
    exit(EXIT_FAILURE);
  }


  if (statfs(argv[1], &buf) < 0)
  {
    fprintf(stderr, "%s:  can't statfs %s: %s\n",
	    argv[0], argv[1], strerror(errno));
    exit(EXIT_FAILURE);
  }


  printf("f_type = %d\n", buf.f_type);
  printf("f_bsize = %d\n", buf.f_bsize);
  printf("f_blocks = %qu\n", buf.f_blocks);
  printf("f_bfree = %qu\n", buf.f_bfree);
  printf("f_bavail = %qu\n", buf.f_bavail);
  printf("f_files = %qu\n", buf.f_files);
  printf("f_ffree = %qu\n", buf.f_ffree);
  printf("f_namelen = %d\n", buf.f_namelen);


  exit(EXIT_SUCCESS);
}

